> ## Documentation Index
> Fetch the complete documentation index at: https://developers.trycents.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Settings

> Get business settings that includes Assist phone numbers, address details and tip options



## OpenAPI

````yaml GET /business/{businessId}/settings
openapi: 3.1.0
info:
  title: OpenAPI Cents
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api3.trycents.com/api/v1/common
security: []
paths:
  /business/{businessId}/settings:
    get:
      parameters:
        - $ref: '#/components/parameters/OriginHeader'
        - in: path
          name: businessId
          required: true
          schema:
            type: number
            format: float
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessSettings'
                example:
                  allowOnlineTip: true
                  isBagTrackingEnabled: true
                  isHangDryEnabled: false
                  dryCleaningEnabled: false
                  isCustomPreferencesEnabled: true
                  hangDryInstructions: >-
                    Lorem Ipsum is simply dummy text of the printing and
                    typesetting industry
                  isReferralProgramActive: true
                  assistBusinessPhoneNumber: null
                  otpPhoneNumber: '7094228978'
                  disableSmsBot: true
                  tipSettings:
                    type: PERCENTAGE
                    defaultOption: option1
                    options:
                      option1: 5
                      option2: 10
                      option3: 12
                  address: 40 Wooster St, NY, 10013
                  location:
                    lat: 37.7741914
                    lng: -122.4931805
        '400':
          description: Business ID in not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
                example: businessId is required
        '404':
          description: Business settings not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
                example: Business settings for business with id {businessId} not found
      security:
        - bearerAuth: []
components:
  parameters:
    OriginHeader:
      name: fwdorigin
      in: header
      required: true
      schema:
        type: string
        default: DISPATCH_API
        enum:
          - DISPATCH_API
  schemas:
    BusinessSettings:
      type: object
      properties:
        allowOnlineTip:
          type: boolean
        isBagTrackingEnabled:
          type: boolean
        isHangDryEnabled:
          type: boolean
        dryCleaningEnabled:
          type: boolean
        isCustomPreferencesEnabled:
          type: boolean
        hangDryInstructions:
          type: string
          nullable: true
        isReferralProgramActive:
          type: boolean
        assistBusinessPhoneNumber:
          type: string
          nullable: true
        transactionalPhoneNumber:
          type: string
          nullable: true
        marketingPhoneNumber:
          type: string
          nullable: true
        otpPhoneNumber:
          type: string
          nullable: true
        smsEscalationPhoneNumber:
          type: string
          nullable: true
        disableSmsBot:
          type: string
          nullable: true
        tipSettings:
          type: object
          properties:
            type:
              type: string
              enum:
                - PERCENTAGE
                - DOLLAR_AMOUNT
              nullable: true
            defaultOption:
              type: string
              nullable: true
            options:
              type: object
              properties:
                option1:
                  type: number
                option2:
                  type: number
                option3:
                  type: number
        address:
          type: string
        location:
          type: object
          properties:
            lat:
              type: number
            lng:
              type: number
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````